org.apache.commons.math3.analysis.function

## Class Atan2

- java.lang.Object
- - org.apache.commons.math3.analysis.function.Atan2

All Implemented Interfaces:
  BivariateFunction

    public class Atan2
    extends Object
    implements BivariateFunction

Arc-tangent function.

Since:
  3.0
Version:
  $Id: Atan2.java 1364377 2012-07-22 17:39:16Z tn $

### Constructor Summary

Constructors
Constructor and Description
`Atan2()`

### Method Summary

Methods
`double` `value(double x, double y)` Compute the value for the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Atan2

    public Atan2()

### Method Detail

#### value

    public double value(double x,
               double y)

Compute the value for the function.

Specified by:
  `value` in interface `BivariateFunction`
Parameters:
  `x` - Abscissa for which the function value should be computed.
  `y` - Ordinate for which the function value should be computed.
Returns:
  the value.